Bug 69351 - Maintainer update gstreamer ffmpeg 0.8.1
Summary: Maintainer update gstreamer ffmpeg 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-20 18:40 UTC by Koop Mast
Modified: 2004-08-08 19:42 UTC (History)
0 users

See Also:


Attachments
gstreamer-ffmpeg-0.8.1.diff (4.65 KB, patch)
2004-07-20 18:40 UTC, Koop Mast
no flags Details | Diff
gstreamer-ffmpeg-0.8.1.diff (5.22 KB, patch)
2004-08-03 21:54 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast 2004-07-20 18:40:27 UTC
	Update gstreamer ffmpeg to 0.8.1.
	Release notes/changelog http://gstreamer.freedesktop.org/releases/gst-ffmpeg/0.8.1.html
Comment 1 Kirill Ponomarev freebsd_committer 2004-07-21 13:44:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer.
Comment 2 Kirill Ponomarev freebsd_committer 2004-07-21 14:29:28 UTC
Responsible Changed
From-To: lioux->freebsd-ports-bugs

lioux has nothing to do with this stuff.
Comment 3 Volker Stolz freebsd_committer 2004-07-22 15:49:01 UTC
State Changed
From-To: open->feedback

- Creates file in /root during install: 

... 
added plugin avi with 2 feature(s) 
rebuilding user_registry (/root/.gstreamer-0.8/registry.xml) 
loaded 126 plugins with 397 features 
... 

Maybe gst-register should be called per user? 

- Sets INSTALLS_SHLIB, but doesn't point LDCONFIG_DIRS to the correct place: 

===>   Running ldconfig 
/sbin/ldconfig -m /usr/X11R6/lib 
===>   Registering installation for gstreamer-ffmpeg-0.8.1 

lib is at: lib/gstreamer-%%VERSION%%/libgstffmpeg.so
Comment 4 stolz 2004-07-28 08:56:27 UTC
Am 26. Jul 2004 um 16:25 CEST schrieb Koop Mast:
> On Thu, 2004-07-22 at 14:52 +0000, Volker Stolz wrote:
> > - Creates file in /root during install:
> > 
> > ...
> > added plugin avi with 2 feature(s)
> > rebuilding user_registry (/root/.gstreamer-0.8/registry.xml)
> > loaded 126 plugins with 397 features
> > ...
> > 
> > Maybe gst-register should be called per user?
> 
> Well This is how it works. Gst-register rebuild also a global registry.
> My understanding is that without this registry gstreamer will nog work,
> gst-register is part of the gstreamer port so it this behavior is to be
> changed that port needs to be changed.

I justed tested this -- (why do I have to do this?) -- passing
the path to the global registry indeed solves the problem and won't
create a per-user cache.

Volker
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
L-Attriwutgrammatik
Comment 5 Koop Mast 2004-08-03 21:54:27 UTC
> I justed tested this -- (why do I have to do this?) -- passing
> the path to the global registry indeed solves the problem and won't
> create a per-user cache.
> 
> Volker

Here is an updated diff. Note the plist change, we need to run gst-
register after de plugin is removed not before.

As for the gst-register per-user cache I don't have a problem with it
but I rather see it changed to all te gstreamer ports at once.

So I would propose that after the attached diff is commited this pr is
given to lioux@ so he can decide what to do with it.

Koop
Comment 6 Joe Marcus Clarke freebsd_committer 2004-08-08 19:41:55 UTC
State Changed
From-To: feedback->closed

Committed, thanks!